Redmine - Defect #40490

login page back_url always use http not https
2024-03-28 04:56 - Bill Hsu

Status: Needs feedback Start date:

Priority: Normal Due date:

Assignee: Bill Hsu % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

| hava a Redmine 5.1.2.stable executed in container, and | use Apache HTTPD to proxy https to http port 3000. Evertyhing is
working perfect, but my webpage is scaned by system and get a "Site does not enforce HTTPS" issue.
It says my login URL's back_url is http, not https. But all my service is running in https URL. How can | solve this issue to be

https://redmine.XXX.com/login?back_url=https%3A%2F%2Fredmine. XXX.com%2F

not

https://redmine.XXX.com/login?back_url=http%3A%2F%2Fredmine.XXX.com%2F

Related issues:
Related to Redmine - Defect #40707: Need update back_url definition to use re... New

History

#1 - 2024-03-28 08:16 -C S

Make sure that under Administration->Configuration the protocol has been set from http to https...

#2 - 2024-03-28 08:32 - Bill Hsu

C S wrote in #note-1:

Make sure that under Administration->Configuration the protocol has been set from http to https...

Already configure as https, and work fine. Only login's back_url not work.

#3 - 2024-03-30 08:42 - Go MAEDA

Does adding the following configuration to the reverse proxy server set up with Apache fix the problem?
RequestHeader set X-Forwarded-Proto "https"

#4 - 2024-11-12 21:07 - Marius BALTEANU

- Status changed from New to Needs feedback

- Assignee set to Bill Hsu

#5 - 2025-02-15 09:25 - Go MAEDA
- Related to Defect #40707: Need update back_url definition to use relative url added
